%define upstream_name Structures_DataGrid_Renderer_Pager
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.1.3
Release:     	%mkrel 8
Summary:    	Renderer driver using PEAR::Pager
License: 	New BSD
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Structures_DataGrid_Renderer_Pager-%{version}.tgz
URL: 		http://pear.php.net/package/Structures_DataGrid_Renderer_Pager
BuildRequires: 	php-pear >= 1.4.7
Requires: 	php-pear-Structures_DataGrid >= 0.7.0
Requires:	php-pear-Pager >= 2.4.4
Requires:	php-pear >= 1.6.0
BuildArch: 	noarch

%description
This is a Renderer driver for Structures_DataGrid using PEAR::Pager.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Structures_DataGrid_Renderer_Pager.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Structures_DataGrid_Renderer_Pager.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Structures_DataGrid_Renderer_Pager
fi

%files
%{peardir}/*
%{xmldir}/Structures_DataGrid_Renderer_Pager.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.1.3-8.mga8
+ Revision: 1499172
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.1.3-7.mga7
+ Revision: 1273893
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.1.3-6.mga6
+ Revision: 936394
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.3-5.mga5
+ Revision: 745332
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.3-4.mga5
+ Revision: 687472
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1.3-3.mga4
+ Revision: 517227
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.1.3-2.mga3
+ Revision: 377295
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 21 2012 spuhler <spuhler> 0.1.3-1.mga2
+ Revision: 199136
- imported package php-pear-Structures_DataGrid_Renderer_Pager

